{ lib, config, pkgs, ... }: {
  # Hacking specific packages.
  home.packages = with pkgs; [
    # Utilities
    imhex
    rlwrap
    openssl
    inetutils

    # Enumeration
    nmap
    ffuf
    amass
    rustscan
    thc-hydra
    burpsuite
    feroxbuster

    # Vulnerability Scanning
    nikto
    nuclei
    wpscan
    sqlmap
    exploitdb

    # Windows Exploitation
    samba
    remmina
    openldap
    responder
    evil-winrm
    cifs-utils

    # Reverse Engineering
    gdb
    yara
    strace
    ghidra
    exiftool
    pwntools
    flare-floss

    # Wordlists
    (wordlists.override {
      lists = with pkgs; [
        rockyou
        seclists
      ];
    })
  ];
}
